@import "support/_flexiblelayout-mixins.scss";

@include _flex_layout_sidebar_responsive (xl, $flexlayout__media-query-xl--min-width);
@include _flex_layout_sidebar_responsive (l, $flexlayout__media-query-l--min-width);
@include _flex_layout_sidebar_responsive (m, $flexlayout__media-query-m--min-width);
@include _flex_layout_sidebar_responsive (s, $flexlayout__media-query-xs--min-width);

@media (max-width: $flexlayout__media-query-s--min-width - 1px) {
    .yw-flexlayout-sidebar {
        z-index: $flexlayout__sidebar--bp-s--z-index;

        //prevent width adjustment when opened
        &-opened,
        &-opened#{&}-collapsed {
            &:not(.yw-flexlayout-responsive-breakpoint-s) {
                > .yw-flexlayout-contents {
                    width: 100%;
                }
            }
        }
        //show sidebar header
        &-header {
            display: block;
        }
    }
}

@media (max-width: $flexlayout__media-query-xs--min-width) {
    .yw-flexlayout-sidebar {
        &-right > &,
        &-left > & {
            transform: none;
            width: 0;
        }
        
        //show dim-screen
        &-opened {
            > .yw-flexlayout-contents > .yw-flexlayout-contents-dimmer {
                position: absolute;
                top: 0;
                bottom: 0;
                left: 0;
                right: 0;
                background-color: $flexlayout__contents-dimmer--bg-color;
                z-index: $flexlayout__contents-dimmer--z-index;
            }
            &.yw-flexlayout-sidebar-overlap > .yw-flexlayout-contents > .yw-flexlayout-contents-dimmer {
                display: none;
            }
        }

        //prevent width adjustment when opened for s resolution
        &-opened,
        &-opened#{&}-collapsed {
            &.yw-flexlayout-responsive-breakpoint-s {
                > .yw-flexlayout-contents {
                    width: 100%;
                }
            }
        }

        &-opened#{&}-collapsed > & {
            width: $flexlayout__sidebar--width;
        }
    }
}

@media (min-width: $flexlayout__media-query-xs--min-width + 1px) {
    .yw-flexlayout-sidebar {
        //sidebar collapsed
        &-right#{&}-collapsed > &, 
        &-left#{&}-collapsed > & {
            transform: none;
        }
        &-right#{&}-opened,
        &-left#{&}-opened {
            &.yw-flexlayout-responsive-breakpoint-s {
                > .yw-flexlayout-sidebar {
                    width: $flexlayout__sidebar--width;
                }
                &.yw-flexlayout-sidebar-collapsed > .yw-flexlayout-sidebar {
                    width: $flexlayout__sidebar-collapsed--width;
                }
            }
        }

        //sidebar overlap
        &-hover-overlap > & {
            &:hover {
                z-index: $flexlayout__sidebar-overlap--z-index;
            }
        }
    }
}